/*
	Runtime Engine
		By Craig Kadziolka ( Nov 1999 - Dec 2000 )

	Modifications and copying is permitted providing this header
	is retained
*/

#include "tasks.h"
#include "../Interfaces/Threads.h"
#include "events.h"

#include <stdlib.h>

void Init()
{
  /* Distributed specific initialization */
}

int Main()
{

	printf("Starting main\n");

	/* Tell the runtime that we are waiting for a real event
	 * which goes by the name of SIGINT (aka ctrl-c) */
	Wait( signal_to_event(SIGINT) );

	/* This should not be displayed until after the program has
	 * received the appropriate signal */
	printf("Hello, the event has occurred!\n");	

	exit(0);
}


